package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjZsjqk;

/**
 * 设计-注水井情况Service接口
 * 
 * @author ruoyi
 * @date 2025-08-05
 */
public interface ISjZsjqkService 
{
    /**
     * 查询设计-注水井情况
     * 
     * @param sjjh 设计-注水井情况主键
     * @return 设计-注水井情况
     */
    public SjZsjqk selectSjZsjqkBySjjh(String sjjh);

    /**
     * 查询设计-注水井情况列表
     * 
     * @param sjZsjqk 设计-注水井情况
     * @return 设计-注水井情况集合
     */
    public List<SjZsjqk> selectSjZsjqkList(SjZsjqk sjZsjqk);

    /**
     * 新增设计-注水井情况
     * 
     * @param sjZsjqk 设计-注水井情况
     * @return 结果
     */
    public int insertSjZsjqk(SjZsjqk sjZsjqk);

    /**
     * 修改设计-注水井情况
     * 
     * @param sjZsjqk 设计-注水井情况
     * @return 结果
     */
    public int updateSjZsjqk(SjZsjqk sjZsjqk);

    /**
     * 批量删除设计-注水井情况
     * 
     * @param sjjhs 需要删除的设计-注水井情况主键集合
     * @return 结果
     */
    public int deleteSjZsjqkBySjjhs(String[] sjjhs);

    /**
     * 删除设计-注水井情况信息
     * 
     * @param sjjh 设计-注水井情况主键
     * @return 结果
     */
    public int deleteSjZsjqkBySjjh(String sjjh);

    int insertSjZsjqkBatch(List<SjZsjqk> sjZsjqkList);

}
